"use strict";
exports.__esModule = true;
exports.gmdate = void 0;
var date_1 = require("../vendors/date/date");
var gmdate = function (format, timestamp) {
    var dt = typeof timestamp === 'undefined'
        ? new Date()
        : (timestamp instanceof Date
            ? new Date(timestamp)
            : new Date(timestamp * 1000));
    timestamp = Date.parse(dt.toUTCString().slice(0, -4)) / 1000;
    return (0, date_1.formatDate)(format, timestamp);
};
exports.gmdate = gmdate;
//# sourceMappingURL=gmdate.js.map