"use strict";
exports.__esModule = true;
exports.calculateOffset = void 0;
/**
 * Calculates a timestamp with a offset
 */
var calculateOffset = function (offset, timestamp) {
    if (timestamp === void 0) { timestamp = null; }
    return (timestamp
        ? timestamp
        : (Math.floor(new Date() / 1000))) + (offset > 0 ? -Math.abs(offset)
        : Math.abs(offset));
};
exports.calculateOffset = calculateOffset;
//# sourceMappingURL=calculateOffset.js.map